<?php
/********************************************************************************
| CDSEO Pro
********************************************************************************
| Migrate CDSEO Pro -> X-Cart Clean Urls
********************************************************************************/

require "./auth.php";

// SET these to 0 if you don't want to migrate page titles and/or meta descriptions
$pageTitles = 1;
$metaDescr = 1;

// Any text here will be removed from the title when they are migrated
// Useful if you want to remove ' - Company Name' for example
$titleRemoveText = '';
?>

<html>
<title>CDSEO Migration to Clean Urls</title>
<head>
<style type="text/css">
td { font-family: arial; font-size: 10pt; }
h1 { font-size: 16pt; font-weight: lighter; }
</style>
</head>
<body>

<?php
if (!in_array($mode,array('view','populate')))
{
		echo '<div style="width: 600px; border: 1px solid #CCCCCC; padding: 20px; font-family: Arial; margin: 0 auto;">';
		echo '<center>';
		echo '<a href="?mode=view">View Information</a>';
		echo '<br /><br /><a href="?mode=populate">Populate Information</a>';
		echo '</center>';
		echo '</div>';
		exit;
}
?>

<table width="800" align="center" border="0">
<tr><td>

<h1>CDSEO Migration to CleanUrls</h1>

<table border="1" cellpadding="8" cellspacing="0">
<tr>
<td><strong>Type</strong></td>
<td><strong>ID</strong></td>
<td><strong>URL</strong></td>
<?php
if ($pageTitles == 1)
	echo '<td><strong>Title</strong></td>';
if ($metaDescr == 1)
	echo '<td><strong>Description</strong></td>';
?>
<td><strong>Status</strong></td>
</tr>

<?php

$cdseoUrls = func_query("SELECT * FROM wcm_cdseo");

// CDSEO types array
$cdseoTypes = array('category' => 'C', 'product' => 'P', 'manufacturer' => 'M', 'staticpage' => 'S');

if (!empty($cdseoUrls))
{
	foreach ($cdseoUrls as $cl)	
	{
		if ($mode == 'populate')
		{
			db_query("DELETE FROM xcart_clean_urls WHERE resource_id='" . intval($cl['cdseoReplaceID']) . "' AND resource_type='" . $cdseoTypes[$cl['cdseoType']] . "'");
			$query = "INSERT INTO xcart_clean_urls (`clean_url`, `resource_type`, `resource_id`, `mtime`) VALUES
			('" . trim(str_replace(array('.html'),'',$cl['cdseoUrl']),'/') . "', '" . $cdseoTypes[$cl['cdseoType']] . "', '" . intval($cl['cdseoReplaceID']) . "', '0')";
			$status = db_query($query);
		}
		echo '<tr><td>' . $cdseoTypes[$cl['cdseoType']] . '</td><td>' . intval($cl['cdseoReplaceID']) . '</td><td>' . $cl['cdseoUrl'] . '</td>';
		if ($pageTitles == 1)
		{
			if ($mode == 'populate' AND $cl['cdseoTitle'] != '')
			{
				if ($cl['cdseoType'] == 'product')
					$query = "UPDATE xcart_products SET title_tag='" . mysql_real_escape_string(str_replace($titleRemoveText,'',$cl['cdseoTitle'])) . "' WHERE productid='" . (int)$cl['cdseoReplaceID'] . "'";
				if ($cl['cdseoType'] == 'category')
					$query = "UPDATE xcart_categories SET title_tag='" . mysql_real_escape_string(str_replace($titleRemoveText,'',$cl['cdseoTitle'])) . "' WHERE categoryid='" . (int)$cl['cdseoReplaceID'] . "'";
				if ($cl['cdseoType'] == 'manufacturer')
					$query = "UPDATE xcart_manufacturers SET title_tag='" . mysql_real_escape_string(str_replace($titleRemoveText,'',$cl['cdseoTitle'])) . "' WHERE manufacturerid='" . (int)$cl['cdseoReplaceID'] . "'";
				if ($cl['cdseoType'] == 'staticpage')
					$query = "UPDATE xcart_pages SET title_tag='" . mysql_real_escape_string(str_replace($titleRemoveText,'',$cl['cdseoTitle'])) . "' WHERE pageid='" . (int)$cl['cdseoReplaceID'] . "'";
				$status = db_query($query);
			}
		}
		if ($metaDescr == 1)
		{
			if ($mode == 'populate' AND $cl['cdseoDescription'] != '')
			{
				if ($cl['cdseoType'] == 'product')
					$query = "UPDATE xcart_products SET meta_description='" . mysql_real_escape_string($cl['cdseoDescription']) . "' WHERE productid='" . (int)$cl['cdseoReplaceID'] . "'";
				if ($cl['cdseoType'] == 'category')
					$query = "UPDATE xcart_categories SET meta_description='" . mysql_real_escape_string($cl['cdseoDescription']) . "' WHERE categoryid='" . (int)$cl['cdseoReplaceID'] . "'";
				if ($cl['cdseoType'] == 'manufacturer')
					$query = "UPDATE xcart_manufacturers SET meta_description='" . mysql_real_escape_string($cl['cdseoDescription']) . "' WHERE manufacturerid='" . (int)$cl['cdseoReplaceID'] . "'";
				if ($cl['cdseoType'] == 'staticpage')
					$query = "UPDATE xcart_pages SET meta_description='" . mysql_real_escape_string($cl['cdseoDescription']) . "' WHERE pageid='" . (int)$cl['cdseoReplaceID'] . "'";
				$status = db_query($query);
			}
			echo '<td>' . $cl['cdseoDescription'] . '</td>';
		}
		echo '<td>' . ucwords(htmlspecialchars($mode)) . '</td></tr>';
	}
}

?>

</table>

<p><strong>Migration complete!</strong></p>

</td></tr></table>

</body>
</html>